Package docking.widgets

# Class ListSelectionTableDialog<T>

java.lang.Object
docking.DialogComponentProvider
docking.widgets.ListSelectionTableDialog<T>

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class ListSelectionTableDialog<T> extends DialogComponentProvider

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListSelectionTableDialog(String title, RowObjectTableModel<T> model)`
  `ListSelectionTableDialog(String title, List<T> list)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `T`
  `getSelectedItem()`
  `List<T>`
  `getSelectedItems()`
  `void`
  `hideOkButton()`
  Removes the ok button from the dialog.
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `void`
  `setMultiSelectionMode(boolean enable)`
  Deprecated.
  to be removed sometime after the 9.3 release
  `T`
  `show(Component parent)`
  `List<T>`
  `showSelectMultiple(Component parent)`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListSelectionTableDialog

    public ListSelectionTableDialog(String title, List<T> list)

  - ### ListSelectionTableDialog

    public ListSelectionTableDialog(String title, RowObjectTableModel<T> model)

- ## Method Details

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### close

    public void close()
    Overrides:
      `close` in class `DialogComponentProvider`

  - ### getSelectedItem

    public T getSelectedItem()

  - ### getSelectedItems

    public List<T> getSelectedItems()

  - ### show

    public T show(Component parent)

  - ### showSelectMultiple

    public List<T> showSelectMultiple(Component parent)

  - ### setMultiSelectionMode

    @Deprecated public void setMultiSelectionMode(boolean enable)
    Deprecated.
    to be removed sometime after the 9.3 release
    Calling this method does does not work correctly when used with `show(Component)` or `showSelectMultiple(Component)`. To use this method, you must show the dialog by calling:

                DockingWindowManager.showDialog(parent, dialog);

    There is no need to use this method when using either of the aforementioned `show` methods

    Parameters:
      `enable` - true to allow multiple selection

  - ### hideOkButton

    public void hideOkButton()
    Removes the ok button from the dialog. This is useful if you are using this dialog as a presentation of data and do not wish to do anything when the user makes selections.